Package Details: asf 4.1.1.7-2

Git Clone URL: https://aur.archlinux.org/asf.git (read-only, click to copy)
Package Base: asf
Description: Steam cards farmer.
Upstream URL: https://github.com/JustArchiNET/ArchiSteamFarm
Licenses: Apache
Submitter: Gilrain
Maintainer: Gilrain
Last Packager: Gilrain
Votes: 16
Popularity: 1.01
First Submitted: 2016-04-02 13:31
Last Updated: 2020-01-16 08:59

Dependencies (6)

Required by (1)

Sources (6)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

giovannicimolin commented on 2018-04-29 12:52

Where do I put the configuration files? I have no idea of how to make it work on arch :/

bennyhillthebes commented on 2018-03-23 10:19

It is working now. Thank you very much Gilrain. For those who have problems with 2FA (caused by an incompability between DotNet and Ncurses 6.1) Archi recommends using XTerm to launch ASF, since it is unaffected.

Velfess commented on 2018-02-26 21:35

Got same problem as sylveon and bennyhillthebes.

bennyhillthebes commented on 2018-02-26 20:32

Not working for me right now. Same message of sylveon for asf.service.

doskoi commented on 2017-12-29 19:55

Correct, there should be two asf packages:

  • asf-bin: pre-compiled binary depending on dotnet-runtime

  • asf: sources compiled with dotnet-sdk-2.0 (makedepends) and also depending on dotnet-runtime

Limero commented on 2017-12-29 17:49

doskoi is right, the dependency for dotnet-sdk should be replaced with dotnet-runtime. The SDK is only needed for building and this PKGBUILD grabs the pre-compiled version from Github.

doskoi commented on 2017-12-29 16:45

I don't think the whole SDK is required. ASF runs just fine with only dotnet-runtime>=2.0 as dependency.

sylveon commented on 2017-11-12 23:18

@Gilrain I think this behavior is caused by the linux-zen kernel. I commented out this from the service file:

ProtectSystem=true
ReadWritePaths=/var/lib/asf
ReadWritePaths=/var/log/asf.log

and now it works fine.

sylveon commented on 2017-10-18 01:36

All 3 are installed and working fine for my own c# code

Gilrain commented on 2017-10-16 18:17

@charlesmilette. I can't reproduce this behavior. Please check that you have all three .NET packages installed (dotnet-sdk-2.0, dotnet-runtime-2.0 and dotnet-host).